#include <iostream>
#include <string>
#include <cstdio>
#include <cstring>
#include <unistd.h>

using namespace std;

static double startpos, lastpos, lastendpos;
static bool on=false, eka=true;

static void FlushPos()
{
	char comment[256] = "";
	if(eka)
		eka = false;
	else
	{
		double posdiff = startpos - lastendpos;
		if(posdiff >= 60.0)
			sprintf(comment, " - pgup");
		else if(posdiff >= 18.0)
			sprintf(comment, " - up");
		else if(posdiff > 0)
			sprintf(comment, " - right");
		else if(posdiff <= -60.0)
			sprintf(comment, " - pgdn");
		else if(posdiff <= -18.0)
			sprintf(comment, " - down");
		else if(posdiff < 0)
			sprintf(comment, " - left");
		sprintf(strchr(comment, 0), " %.1f", posdiff);
	}
	printf("Played pos: %.1f - %.1f%s\n", startpos, lastpos, comment);
	on = false;
	lastendpos = lastpos;
}
static void AddPause()
{
	if(on) FlushPos();
	printf("Paused\n");
	eka = true;
}
static void AddPos(float a, float v)
{
	//printf("(Adding a=%.1f v=%.1f)\n", a,v);
	double avg = a; //(a + v) / 2;
	if(on)
	{
		if(avg < lastpos || avg >= lastpos + 3) FlushPos();
	}
	if(!on)
	{
		startpos = avg;
		on = true;
	}
	lastpos = avg;
}

int main(void)
{
	if(isatty(stdin))
	{
        fprintf(stderr,
        	"mplayfilt v"VERSION" Copyright (C) 1992,2003 Bisqwit (http://bisqwit.iki.fi/)\n"
        	"Usage: mplayfilt <mplaylogi\n");
	}
	for(;;)
	{
		string s;
		getline(cin, s, '\r');
		if(!cin.good())break;
		if(!s.size())continue;
		
		for(unsigned a=0; a<s.size(); ++a)
			if(s[a]==',')s[a]='.';
		
		if(s.find("PAUSED") != s.npos)
			AddPause();
		else
		{
			float apos, vpos, avdiff;
			if(sscanf(s.c_str(), "A: %f V: %f A-V: %f", &apos, &vpos, &avdiff) < 3)continue;
			AddPos(apos, vpos);
		}
	}
	if(on)FlushPos();
	printf("\n");
	return 0;
}
